//+------------------------------------------------------------------+ 
//|                                                  collect    .mq4 | 
//+------------------------------------------------------------------+ 


#property copyright "Copyright c 2006, Maja Joppa"
#property link      "http://forexsystems.ru" 

extern string fileprefix = "_ticks";

string        fname;
//---- input parameters 


//--------------------------------------------------------------------
//--------------------------------------------------------------------
void initFile()
{
  int    handle;
  handle = FileOpen(fname, FILE_CSV | FILE_WRITE, ';');
  if(handle > 0)
  {
    FileWrite(handle, "date", "time", "ticks");
    FileClose(handle);
  }
  else
  {
    Print("File " + fname + " cannot be created, error: ", GetLastError());
    return;
  }
}

//--------------------------------------------------------------------
//--------------------------------------------------------------------
void writeTick(double tick)
{
  int    handle;
  datetime time = CurTime();
  string mydate = TimeToStr(time,TIME_DATE);
  string mytime = TimeToStr(time,TIME_SECONDS);

  handle = FileOpen(fname, FILE_CSV | FILE_READ | FILE_WRITE, ';');
  if(handle > 0)
  {
    FileSeek(handle, 0, SEEK_END);
    FileWrite(handle, mydate, mytime, tick);
    FileClose(handle);
  }
  else
  {
    Print("File " + fname + " cannot be created, error: ", GetLastError());
    return;
  }
}

//================================================================= 
void init()
{
  fname = fileprefix+"."+Symbol()+"."+Period()+".csv";
  initFile();
}

//================================================================= 
int start() 
{ 
  writeTick(iClose(NULL,0,0));
  return(0); 
}